Debian Bug report logs - #532081
audacious: Weird cpu usage since 2.0.1 update

version graph

Package: audacious; Maintainer for audacious is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for audacious is src:audacious.

Reported by: Fabrice Lorrain <Fabrice.Lorrain@free.fr>

Date: Sat, 6 Jun 2009 09:21:05 UTC

Severity: normal

Found in version audacious/2.0.1-1

Fixed in versions audacious/2.1-1, 2.1-1

Done: Benjamin Drung <bdrung@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sat, 06 Jun 2009 09:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Lorrain <Fabrice.Lorrain@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sat, 06 Jun 2009 09:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabrice Lorrain <Fabrice.Lorrain@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: audacious: Weird cpu usage since 2.0.1 update
Date: Sat, 06 Jun 2009 11:17:02 +0200
Package: audacious
Version: 2.0.1-1
Severity: normal

Hello,

Since the update to 2.0.1, audacious has a strange beheaviour concering the cpu usage.
- it has a much higher cpu fingerprint, around 20%
- it is going crasy from time to time using 90-95% of the cpu and then back to 20%.

This append while playing .ogg through nfs, which I have been doing for years with previous
version of audacious or xmms without pb.

@+,

	Fab


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-2-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacious depends on:
ii  audacious-plugins             2.0.1-3    Base plugins for audacious
ii  dbus                          1.2.14-2   simple interprocess messaging syst
ii  gtk2-engines-pixbuf           2.16.2-1   Pixbuf-based theme for GTK+ 2.x
ii  libatk1.0-0                   1.26.0-1   The ATK accessibility toolkit
ii  libaudclient2                 2.0.1-1    audacious dbus remote control libr
ii  libaudcore1                   2.0.1-1    audacious core engine library
ii  libaudid3tag2                 2.0.1-1    audacious id3 tag manipulation lib
ii  libaudutil1                   2.0.1-1    audacious utility library
ii  libc6                         2.9-13     GNU C Library: Shared libraries
ii  libcairo2                     1.8.6-2+b1 The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.14-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libfontconfig1                2.6.0-3    generic font configuration library
ii  libfreetype6                  2.3.9-5    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.20.3-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.2-1   The GTK+ graphical user interface 
ii  libice6                       2:1.0.5-1  X11 Inter-Client Exchange library
ii  libmcs1                       0.7.1-1    Abstraction library to store confi
ii  libmowgli1                    0.6.1-1    a high performance development fra
ii  libpango1.0-0                 1.24.2-1   Layout and rendering of internatio
ii  libsad2                       2.0.1-1    audacious scale and dither library
ii  libsamplerate0                0.1.7-2    audio rate conversion library
ii  libsm6                        2:1.1.0-2  X11 Session Management library

Versions of packages audacious recommends:
ii  audacious-plugins-extra       2.0.1-3    Various extra plugins for audaciou
ii  unzip                         6.0-1      De-archiver for .zip files

audacious suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sun, 07 Jun 2009 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sun, 07 Jun 2009 01:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Fabrice Lorrain <Fabrice.Lorrain@free.fr>, 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Sat, 06 Jun 2009 19:58:32 -0500
[Message part 1 (text/plain, inline)]
Hi,

On Sat, 2009-06-06 at 11:17 +0200, Fabrice Lorrain wrote:
> Package: audacious
> Version: 2.0.1-1
> Severity: normal
> 
> Hello,
> 
> Since the update to 2.0.1, audacious has a strange beheaviour concering the cpu usage.
> - it has a much higher cpu fingerprint, around 20%
> - it is going crasy from time to time using 90-95% of the cpu and then back to 20%.
> 
> This append while playing .ogg through nfs, which I have been doing for years with previous
> version of audacious or xmms without pb.

This sounds like a bug in GIO, not Audacious.  Does this happen when
accessing media locally?

William

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Mon, 08 Jun 2009 18:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Lorrain <Fabrice.Lorrain@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Mon, 08 Jun 2009 18:33:10 GMT) Full text and rfc822 format available.

Message #15 received at 532081@bugs.debian.org (full text, mbox):

From: Fabrice Lorrain <Fabrice.Lorrain@free.fr>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Mon, 08 Jun 2009 20:32:43 +0200
William Pitcock a écrit :
> Hi,
> 
> On Sat, 2009-06-06 at 11:17 +0200, Fabrice Lorrain wrote:
>> Package: audacious
>> Version: 2.0.1-1
>> Severity: normal
>>
>> Hello,
>>
>> Since the update to 2.0.1, audacious has a strange beheaviour concering the cpu usage.
>> - it has a much higher cpu fingerprint, around 20%
>> - it is going crasy from time to time using 90-95% of the cpu and then back to 20%.
>>
>> This append while playing .ogg through nfs, which I have been doing for years with previous
>> version of audacious or xmms without pb.
> 
> This sounds like a bug in GIO, not Audacious.  Does this happen when
> accessing media locally?

Nope, it does also happen when playing .ogg from /tmp which is local.

@+,
	Fab




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Mon, 08 Jun 2009 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharath Ramesh <krosswindz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Mon, 08 Jun 2009 23:00:05 GMT) Full text and rfc822 format available.

Message #20 received at 532081@bugs.debian.org (full text, mbox):

From: Bharath Ramesh <krosswindz@gmail.com>
To: Debian Bug Tracking System <532081@bugs.debian.org>
Subject: audacious: Consistent 100% cpu usage while playing network stream.
Date: Mon, 8 Jun 2009 18:58:19 -0400
Package: audacious
Version: 2.0.1-1
Severity: normal

When playing a network stream using audacious, after the upgrade, the cpu
usage of audacious is consistently at 100%. I have been using the same streams
for a few years and never had issues like this with audacious.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28.7 (SMP w/4 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacious depends on:
ii  audacious-plugins             2.0.1-3    Base plugins for audacious
ii  dbus                          1.2.14-2   simple interprocess messaging syst
ii  gtk2-engines-pixbuf           2.16.2-1   Pixbuf-based theme for GTK+ 2.x
ii  libatk1.0-0                   1.26.0-1   The ATK accessibility toolkit
ii  libaudclient2                 2.0.1-1    audacious dbus remote control libr
ii  libaudcore1                   2.0.1-1    audacious core engine library
ii  libaudid3tag2                 2.0.1-1    audacious id3 tag manipulation lib
ii  libaudutil1                   2.0.1-1    audacious utility library
ii  libc6                         2.9-13     GNU C Library: Shared libraries
ii  libcairo2                     1.8.6-2+b1 The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.14-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libfontconfig1                2.6.0-3    generic font configuration library
ii  libfreetype6                  2.3.9-5    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.20.3-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.2-1   The GTK+ graphical user interface
ii  libice6                       2:1.0.5-1  X11 Inter-Client Exchange library
ii  libmcs1                       0.7.1-1    Abstraction library to store confi
ii  libmowgli1                    0.6.1-1    a high performance development fra
ii  libpango1.0-0                 1.24.2-1   Layout and rendering of internatio
ii  libsad2                       2.0.1-1    audacious scale and dither library
ii  libsamplerate0                0.1.7-2    audio rate conversion library
ii  libsm6                        2:1.1.0-2  X11 Session Management library

Versions of packages audacious recommends:
ii  audacious-plugins-extra       2.0.1-3    Various extra plugins for audaciou
ii  unzip                         6.0-1      De-archiver for .zip files

audacious suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Tue, 09 Jun 2009 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Tue, 09 Jun 2009 07:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Bharath Ramesh <krosswindz@gmail.com>, 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Tue, 09 Jun 2009 02:36:51 -0500
[Message part 1 (text/plain, inline)]
Hi!

Try erasing your audacious config file, it may be broken in some way.

William
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Tue, 09 Jun 2009 07:51:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Tue, 09 Jun 2009 07:51:22 GMT) Full text and rfc822 format available.

Message #30 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Fabrice Lorrain <Fabrice.Lorrain@free.fr>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Tue, 09 Jun 2009 02:37:23 -0500
[Message part 1 (text/plain, inline)]
On Mon, 2009-06-08 at 20:32 +0200, Fabrice Lorrain wrote:
> William Pitcock a écrit :
> > Hi,
> > 
> > On Sat, 2009-06-06 at 11:17 +0200, Fabrice Lorrain wrote:
> >> Package: audacious
> >> Version: 2.0.1-1
> >> Severity: normal
> >>
> >> Hello,
> >>
> >> Since the update to 2.0.1, audacious has a strange beheaviour concering the cpu usage.
> >> - it has a much higher cpu fingerprint, around 20%
> >> - it is going crasy from time to time using 90-95% of the cpu and then back to 20%.
> >>
> >> This append while playing .ogg through nfs, which I have been doing for years with previous
> >> version of audacious or xmms without pb.
> > 
> > This sounds like a bug in GIO, not Audacious.  Does this happen when
> > accessing media locally?
> 
> Nope, it does also happen when playing .ogg from /tmp which is local.

I'm unable to produce this locally.  Can you provide more insight?

William

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Tue, 09 Jun 2009 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharath Ramesh <krosswindz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Tue, 09 Jun 2009 17:09:06 GMT) Full text and rfc822 format available.

Message #35 received at 532081@bugs.debian.org (full text, mbox):

From: Bharath Ramesh <krosswindz@gmail.com>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Tue, 9 Jun 2009 13:04:49 -0400
I deleted the entire audacious config directory and restarted
audacious it still has a high cpu usage of ~60% consistently.

Bharath

On Tue, Jun 9, 2009 at 3:36 AM, William
Pitcock<nenolod@sacredspiral.co.uk> wrote:
> Hi!
>
> Try erasing your audacious config file, it may be broken in some way.
>
> William
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Thu, 11 Jun 2009 09:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Thu, 11 Jun 2009 09:30:02 GMT) Full text and rfc822 format available.

Message #40 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Bharath Ramesh <krosswindz@gmail.com>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Thu, 11 Jun 2009 04:29:20 -0500
[Message part 1 (text/plain, inline)]
Do you use an Intel HDA soundcard?  There have been issues reported with
Intel HDA cards upstream (but 2.0.1 should have fixed it, maybe not
completely).

William

On Tue, 2009-06-09 at 13:04 -0400, Bharath Ramesh wrote:
> I deleted the entire audacious config directory and restarted
> audacious it still has a high cpu usage of ~60% consistently.
> 
> Bharath
> 
> On Tue, Jun 9, 2009 at 3:36 AM, William
> Pitcock<nenolod@sacredspiral.co.uk> wrote:
> > Hi!
> >
> > Try erasing your audacious config file, it may be broken in some way.
> >
> > William
> >
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Thu, 11 Jun 2009 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharath Ramesh <krosswindz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Thu, 11 Jun 2009 19:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 532081@bugs.debian.org (full text, mbox):

From: Bharath Ramesh <krosswindz@gmail.com>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Thu, 11 Jun 2009 15:07:05 -0400
Yes, I do have the Intel HDA (ICH9) soundcard.

Bharath

On Thu, Jun 11, 2009 at 5:29 AM, William
Pitcock<nenolod@sacredspiral.co.uk> wrote:
> Do you use an Intel HDA soundcard?  There have been issues reported with
> Intel HDA cards upstream (but 2.0.1 should have fixed it, maybe not
> completely).
>
> William
>
> On Tue, 2009-06-09 at 13:04 -0400, Bharath Ramesh wrote:
>> I deleted the entire audacious config directory and restarted
>> audacious it still has a high cpu usage of ~60% consistently.
>>
>> Bharath
>>
>> On Tue, Jun 9, 2009 at 3:36 AM, William
>> Pitcock<nenolod@sacredspiral.co.uk> wrote:
>> > Hi!
>> >
>> > Try erasing your audacious config file, it may be broken in some way.
>> >
>> > William
>> >
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Fri, 12 Jun 2009 01:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Fri, 12 Jun 2009 01:03:03 GMT) Full text and rfc822 format available.

Message #50 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Bharath Ramesh <krosswindz@gmail.com>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Thu, 11 Jun 2009 19:59:58 -0500
[Message part 1 (text/plain, inline)]
Hi,

On Thu, 2009-06-11 at 15:07 -0400, Bharath Ramesh wrote:
> Yes, I do have the Intel HDA (ICH9) soundcard.

Aha.  We have an answer then.

Audacious 2.1 alpha will be hitting experimental this weekend.  Can you
test it when it's uploaded?  It has a rewritten-from-scratch plugin that
fits into Audacious 2's architecture better.  In preliminary testing,
CPU usage is normal with HDA cards under this driver.

William
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Fri, 12 Jun 2009 15:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharath Ramesh <krosswindz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Fri, 12 Jun 2009 15:15:11 GMT) Full text and rfc822 format available.

Message #55 received at 532081@bugs.debian.org (full text, mbox):

From: Bharath Ramesh <krosswindz@gmail.com>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Fri, 12 Jun 2009 11:06:28 -0400
Sure, I can test the package once its uploaded.

Bharath

On Thu, Jun 11, 2009 at 8:59 PM, William
Pitcock<nenolod@sacredspiral.co.uk> wrote:
> Hi,
>
> On Thu, 2009-06-11 at 15:07 -0400, Bharath Ramesh wrote:
>> Yes, I do have the Intel HDA (ICH9) soundcard.
>
> Aha.  We have an answer then.
>
> Audacious 2.1 alpha will be hitting experimental this weekend.  Can you
> test it when it's uploaded?  It has a rewritten-from-scratch plugin that
> fits into Audacious 2's architecture better.  In preliminary testing,
> CPU usage is normal with HDA cards under this driver.
>
> William
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Mon, 22 Jun 2009 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Mon, 22 Jun 2009 16:39:02 GMT) Full text and rfc822 format available.

Message #60 received at 532081@bugs.debian.org (full text, mbox):

From: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>
To: 532081@bugs.debian.org
Cc: 532081-subscribe@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Consistent 100% cpu usage while playing network stream.
Date: Mon, 22 Jun 2009 17:36:59 +0100
  Hello,

  Is there an ETA for when the aforementioned 2.1 alpha packages are
going to appear on unstable/experimental?

Thanks,
Vasilis

-- 
Vasilis Vasaitis
"A man is well or woe as he thinks himself so."






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sat, 04 Jul 2009 20:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sat, 04 Jul 2009 20:06:16 GMT) Full text and rfc822 format available.

Message #65 received at 532081@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 532081@bugs.debian.org
Subject: Re: audacious: Weird cpu usage since 2.0.1 update
Date: Sat, 4 Jul 2009 20:58:04 +0100
[Message part 1 (text/plain, inline)]
Hi,

I can reliably reproduce this but only when I start Audacious by specifying a
filename on the command line. For example:

 $ audacious2 foo.mp3

.. causes ~110% CPU. However, if I start Audacious with:

 $ audacious2

And play the same file it uses ~10% CPU. I'm have an emu10k1 running 2.6.30.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sun, 19 Jul 2009 10:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Ketzer <martin.ketzer@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sun, 19 Jul 2009 10:39:07 GMT) Full text and rfc822 format available.

Message #70 received at 532081@bugs.debian.org (full text, mbox):

From: Martin Ketzer <martin.ketzer@gmx.de>
To: 532081@bugs.debian.org
Subject: Re: Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Sun, 19 Jul 2009 12:35:59 +0200
I still got the issue with 2.1: When i play a mp3 I sometimes got 15-30% CPU usage, sometimes it's
the normal 5-6%. That is with hda-intel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Wed, 22 Jul 2009 01:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Wed, 22 Jul 2009 01:00:02 GMT) Full text and rfc822 format available.

Message #75 received at 532081@bugs.debian.org (full text, mbox):

From: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>
To: Martin Ketzer <martin.ketzer@gmx.de>, 532081@bugs.debian.org
Subject: Re: Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Wed, 22 Jul 2009 01:57:11 +0100
On Sun, Jul 19, 2009 at 12:35:59PM +0200, Martin Ketzer wrote:
> I still got the issue with 2.1: When i play a mp3 I sometimes got 15-30% CPU usage, sometimes it's
> the normal 5-6%. That is with hda-intel.

  Similar here: audacious can reach up to 20% when playing mp3s (but
doesn't always), on a 3GHz Pentium D. The sound module is
snd_intel8x0; lspci says:

00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7
Family) AC'97 Audio Controller (rev 01)


-- 
Vasilis Vasaitis
"A man is well or woe as he thinks himself so."






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sat, 01 Aug 2009 00:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@dereferenced.org>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sat, 01 Aug 2009 00:06:02 GMT) Full text and rfc822 format available.

Message #80 received at 532081@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@dereferenced.org>
To: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>, 532081@bugs.debian.org
Subject: Re: [Pkg-audacious-maintainers] Bug#532081: audacious: Weird cpu usage since 2.0.1 update
Date: Sat, 1 Aug 2009 04:04:18 +0400 (MSD)
Hi,

I get 10% CPU usage on a P2 400, and 0% CPU usage on a Phenom2 X4 940.
Demonstrate it is a bug in Audacious, ideally with a patch to fix it,
as I cannot reproduce this at all.

Failure to provide full reproduction instructions will result in me
just closing the bug.

Specifically please attach audacious config files, and try also to reproduce
with those configs erased.

William

----- "Vasilis Vasaitis" <v.vasaitis@sms.ed.ac.uk> wrote:

> On Sun, Jul 19, 2009 at 12:35:59PM +0200, Martin Ketzer wrote:
> > I still got the issue with 2.1: When i play a mp3 I sometimes got
> 15-30% CPU usage, sometimes it's
> > the normal 5-6%. That is with hda-intel.
> 
>   Similar here: audacious can reach up to 20% when playing mp3s (but
> doesn't always), on a 3GHz Pentium D. The sound module is
> snd_intel8x0; lspci says:
> 
> 00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7
> Family) AC'97 Audio Controller (rev 01)
> 
> 
> -- 
> Vasilis Vasaitis
> "A man is well or woe as he thinks himself so."
> 
> 
> 
> 
> 
> _______________________________________________
> Pkg-audacious-maintainers mailing list
> Pkg-audacious-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-audacious-maintainers




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Thu, 20 Aug 2009 18:31:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Thu, 20 Aug 2009 18:31:31 GMT) Full text and rfc822 format available.

Message #85 received at 532081@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: Fabrice Lorrain <Fabrice.Lorrain@free.fr>
Cc: William Pitcock <nenolod@sacredspiral.co.uk>, 532081@bugs.debian.org
Subject: Re: audacious: weird cpu usage since 2.0.1 update
Date: Thu, 20 Aug 2009 14:22:00 -0400
William Pitcock wrote:
> I'm unable to produce this locally.  Can you provide more insight?

Hello Fabrice,

The problem of CPU usage jumping to 100% should be fixed in 2.1:

        http://hg.atheme.org/audacious/rev/1f583ea81c84

As for the steady 20% usage, I am also unable completely unable to
reproduce it. I get 1.5% CPU usage playing a 90kbps .ogg file on a
1.4gHz Celeron (with features such as visualization, equalizer, and
resampling disabled). Please attach your config file, in case a
particular option is causing the high CPU usage. Also check that ALSA
dmix is disabled, as I have known it to take exorbitant amounts of CPU
(30-40%) for its resampling.

Regards,
John Lindgren





Added tag(s) moreinfo. Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Sat, 05 Sep 2009 15:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sun, 15 Nov 2009 14:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Lorrain <Fabrice.Lorrain@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sun, 15 Nov 2009 14:42:07 GMT) Full text and rfc822 format available.

Message #92 received at 532081@bugs.debian.org (full text, mbox):

From: Fabrice Lorrain <Fabrice.Lorrain@free.fr>
To: John Lindgren <john.lindgren@tds.net>
Cc: William Pitcock <nenolod@sacredspiral.co.uk>, 532081@bugs.debian.org
Subject: Re: audacious: weird cpu usage since 2.0.1 update
Date: Sun, 15 Nov 2009 15:36:12 +0100
John Lindgren a écrit :
> William Pitcock wrote:
>> I'm unable to produce this locally.  Can you provide more insight?
> 
> Hello Fabrice,
> 
> The problem of CPU usage jumping to 100% should be fixed in 2.1:
> 
>         http://hg.atheme.org/audacious/rev/1f583ea81c84
> 
> As for the steady 20% usage, I am also unable completely unable to
> reproduce it. I get 1.5% CPU usage playing a 90kbps .ogg file on a
> 1.4gHz Celeron (with features such as visualization, equalizer, and
> resampling disabled). Please attach your config file, in case a
> particular option is causing the high CPU usage. Also check that ALSA
> dmix is disabled, as I have known it to take exorbitant amounts of CPU
> (30-40%) for its resampling.
> 
> Regards,
> John Lindgren
> 

Hello john and sorry to take so long to answer.

As far as I'm concerned, this bug can be closed.
I've been running 2.1 for quite some time now without seeing the high 
cpu usage reported. The cpu usage is under 5% most of the time.

> particular option is causing the high CPU usage. Also check that ALSA
> dmix is disabled,

For my information, what is the proper way to check alsa configuration?

Thanks,

@+,

	Fab




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#532081; Package audacious. (Sun, 15 Nov 2009 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Sun, 15 Nov 2009 16:42:06 GMT) Full text and rfc822 format available.

Message #97 received at 532081@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: Fabrice Lorrain <Fabrice.Lorrain@free.fr>, control@bugs.debian.org
Cc: 532081@bugs.debian.org
Subject: Re: audacious: weird cpu usage since 2.0.1 update
Date: Sun, 15 Nov 2009 11:38:50 -0500
fixed 532081 2.1-1
thanks

On Sun, 2009-11-15 at 15:36 +0100, Fabrice Lorrain wrote:
> Hello john and sorry to take so long to answer.
> 
> As far as I'm concerned, this bug can be closed.
> I've been running 2.1 for quite some time now without seeing the high 
> cpu usage reported. The cpu usage is under 5% most of the time.
> 
>  > particular option is causing the high CPU usage. Also check that ALSA
>  > dmix is disabled,
> 
> For my information, what is the proper way to check alsa configuration?

It's a bit complicated; you have to look at the config files
in /usr/share/alsa/conf.  A simple test would be to try outputting to
PCM device "hw:0" rather than "default".  If you see a difference in CPU
usage, then dmix kicking in.

John Lindgren





Bug Marked as fixed in versions audacious/2.1-1. Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Sun, 15 Nov 2009 16:42:10 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from John Lindgren <john.lindgren@tds.net> to control@bugs.debian.org. (Sun, 15 Nov 2009 16:51:04 GMT) Full text and rfc822 format available.

Reply sent to Benjamin Drung <bdrung@ubuntu.com>:
You have taken responsibility. (Sat, 04 Sep 2010 19:33:05 GMT) Full text and rfc822 format available.

Notification sent to Fabrice Lorrain <Fabrice.Lorrain@free.fr>:
Bug acknowledged by developer. (Sat, 04 Sep 2010 19:33:05 GMT) Full text and rfc822 format available.

Message #106 received at 532081-done@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: 532081-done@bugs.debian.org
Subject: Re: audacious: weird cpu usage since 2.0.1 update
Date: Sat, 04 Sep 2010 21:29:44 +0200
[Message part 1 (text/plain, inline)]
Version: 2.1-1

It's fixed as reported by bug reporter.

-- 
Benjamin Drung
Ubuntu Developer (www.ubuntu.com) | Debian Maintainer (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Oct 2010 07:42:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:46:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.